> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Custom Data List

> Update Custom Data List



## OpenAPI

````yaml /openapi/openapi_orderrouting.json put /commerce/orders/orderrouting/api/v1/dataList/{dataListID}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_ORDERROUTING">
                <h2>ORDER ROUTING</h2>
                <p>Although the <a href="/developer-guides/order-routing">Order Routing
                        interface</a> is the best place to configure order routing rules, some
                    aspects of routing can be managed through REST API calls when convenient.</p>
                <p>Use the <strong>Data List</strong> resource to define the cases for which routing filters are applied.</p>
                <p>Use the <strong>Routing Filter</strong> resource to configure sets of rules that filter out fulfillers that do not match given order criteria.</p>
                <p>Use the <strong>Routing Group</strong> resource to manage and sort location groups specifically in context of routing
                    preferences.</p>
                <p>Use the general <strong>Routing</strong> resource to test your order routing configurations, such as by retrieving a list of eligible fulfillers for a certain order based on set
                    routing rules or obtain a log of order routing decisions.</p>
            </div>
  title: Order Routing
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - description: Classic UI API - Tenant-level routing configuration
    name: OrderRoutingTenant
  - description: Classic UI API - Manage custom data lists
    name: OrderRoutingDataList
  - description: Classic UI API - Order Routing Settings configuration
    name: OrderRoutingSettings
  - description: New UI API - Manage routing scenarios
    name: OrderRoutingScenario
  - description: Classic UI API - Location information
    name: OrderRoutingLocation
  - description: Classic UI API - Environment configuration
    name: OrderRoutingEnvironment
  - description: New UI API - Export and import strategies
    name: OrderRoutingStrategyExport
  - description: Classic UI API - Post-routing actions
    name: OrderRoutingAfterAction
  - description: New UI API - Filter data for routing scenarios
    name: OrderRoutingFilterData
  - description: New UI API - Manage routing strategies
    name: OrderRoutingStrategy
  - description: New UI API - Manage custom data lists for filtering
    name: OrderRoutingCustomDataList
  - description: Classic UI API - Manage routing groups
    name: OrderRoutingGroup
  - description: Classic UI API - Configure sorting rules
    name: OrderRoutingSort
  - description: Classic UI API - Routing testing and debugging
    name: Routing
  - description: New UI API - Estimated delivery date routing
    name: OrderRoutingEDD
  - description: Classic UI API - Site-specific routing configuration
    name: OrderRoutingSite
  - description: Classic UI API - Configure routing filters
    name: OrderRoutingFilter
paths:
  /commerce/orders/orderrouting/api/v1/dataList/{dataListID}:
    put:
      tags:
        - OrderRoutingDataList
      summary: Update Custom Data List
      description: Update Custom Data List
      parameters:
        - in: path
          name: dataListID
          required: true
          schema:
            format: int32
            type: integer
        - description: Tenant
          in: header
          name: x-vol-tenant
          required: true
          schema:
            format: int32
            type: integer
        - description: Site
          in: header
          name: x-vol-site
          required: true
          schema:
            format: int32
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomDataList'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomDataListResponse'
          description: OK
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Bad Request
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Forbidden
        '409':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Conflict
        '410':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Gone
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/APIErrorResponse'
          description: Internal Server Error
components:
  schemas:
    CustomDataList:
      properties:
        created:
          format: date-time
          type: string
        creatorUsername:
          type: string
        customDataListID:
          format: int32
          type: integer
        dataType:
          enum:
            - STRING
            - NUMBER
            - LOCATION
            - DATE
          type: string
        entries:
          items:
            $ref: '#/components/schemas/CustomDataListEntry'
          type: array
        environmentID:
          format: int32
          type: integer
        fileName:
          maxLength: 255
          minLength: 0
          type: string
        name:
          maxLength: 255
          minLength: 0
          type: string
        notes:
          maxLength: 255
          minLength: 0
          type: string
        pathString:
          type: string
        persisted:
          type: boolean
        siteID:
          format: int32
          type: integer
        state:
          enum:
            - dataset.ready
            - dataset.processing
            - dataset.error.processing
          type: string
        stringValues:
          items:
            type: string
          type: array
          uniqueItems: true
        tenantID:
          format: int32
          type: integer
        updated:
          format: date-time
          type: string
        updaterUsername:
          type: string
        userContext:
          $ref: '#/components/schemas/UserContextInformation'
        values:
          items:
            type: object
          type: array
          uniqueItems: true
      required:
        - dataType
        - environmentID
        - name
        - siteID
        - tenantID
      type: object
    CustomDataListResponse:
      properties:
        created:
          type: string
        creator:
          type: string
        dataType:
          enum:
            - STRING
            - NUMBER
            - LOCATION
            - DATE
          type: string
        entries:
          items:
            $ref: '#/components/schemas/CustomDataListEntryResponse'
          type: array
        environmentID:
          format: int32
          type: integer
        id:
          format: int32
          type: integer
        name:
          type: string
        notes:
          type: string
        siteID:
          format: int32
          type: integer
        state:
          enum:
            - dataset.ready
            - dataset.processing
            - dataset.error.processing
          type: string
        tenantID:
          format: int32
          type: integer
        updated:
          type: string
        updater:
          type: string
      type: object
    APIErrorResponse:
      properties:
        additionalInfo:
          type: string
        errorMessage:
          type: string
      type: object
    CustomDataListEntry:
      properties:
        customDataListEntryID:
          format: int32
          type: integer
        data:
          type: object
        dataValid:
          type: boolean
        list:
          type: object
        notes:
          maxLength: 255
          minLength: 0
          type: string
        stringValue:
          maxLength: 255
          minLength: 0
          type: string
      required:
        - stringValue
      type: object
    UserContextInformation:
      properties:
        environmentID:
          format: int32
          type: integer
        loaded:
          type: boolean
        pathString:
          type: string
        siteID:
          format: int32
          type: integer
        siteService:
          $ref: '#/components/schemas/SiteService'
        tenantID:
          format: int32
          type: integer
        tenantService:
          $ref: '#/components/schemas/TenantService'
      type: object
    CustomDataListEntryResponse:
      properties:
        id:
          format: int32
          type: integer
        locationAddress:
          type: string
        locationID:
          format: int32
          type: integer
        locationName:
          type: string
        notes:
          type: string
        stringValue:
          type: string
      type: object
    SiteService:
      type: object
    TenantService:
      properties:
        tenantAttributesCache:
          $ref: '#/components/schemas/TenantAttributesCache'
        tenantClient:
          $ref: '#/components/schemas/TenantClient'
      type: object
    TenantAttributesCache:
      type: object
    TenantClient:
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````